This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 593644 - Empty list of simple_allow_users causes sssd service to fail while restart.
Empty list of simple_allow_users causes sssd service to fail while restart.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 593696
  Show dependency treegraph
 
Reported: 2010-05-19 07:49 EDT by Gowrishankar Rajaiyan
Modified: 2010-07-21 15:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: sssd-1.2.1-17.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 593696 (view as bug list)
Environment:
Last Closed: 2010-07-07 13:53:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2010-05-19 07:49:29 EDT
Description of problem:
Empty list of simple_allow_users causes sssd service to fail while start/restart.

Version-Release number of selected component (if applicable):
sssd-1.1.92-11.el6.x86_64

How reproducible:


Steps to Reproduce:
1. Configure sssd with access_provider as simple.
2. Make sure you keep "simple_allow_users" parameter blank.
3. Restart sssd service.
  
Actual results:
(Fri Apr 23 17:38:18 2010) [sssd] [confdb_init_db] (0): Failed to initialize DB (21,[Element simple_allow_users has empty attribute in ldb message (cn=LDAP,cn=domain,cn=config)!]), aborting!
(Fri Apr 23 17:38:18 2010) [sssd] [load_configuration] (0): ConfDB initialization has failed [Input/output error]

Expected results:
Empty simple_allow_users list shouldn't be a failure to start, should just be a warning that no users will be granted access.

Additional info:
Comment 1 Fedora Update System 2010-06-21 07:51:36 EDT
sssd-1.2.1-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sssd-1.2.1-15.fc13
Comment 2 Fedora Update System 2010-06-21 08:56:45 EDT
sssd-1.2.1-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sssd-1.2.0-13.fc13
Comment 3 Fedora Update System 2010-06-21 17:32:24 EDT
sssd-1.2.1-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sssd-1.2.1-15.fc13
Comment 4 Fedora Update System 2010-06-25 07:50:19 EDT
sssd-1.2.1-17.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/sssd-1.2.1-17.el5
Comment 5 Fedora Update System 2010-06-30 10:24:30 EDT
sssd-1.2.1-17.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sssd-1.2.1-17.el5
Comment 6 Fedora Update System 2010-07-07 13:52:51 EDT
sssd-1.2.1-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-21 15:59:23 EDT
sssd-1.2.1-17.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.